## ctpl 0.2.2

=== wscript ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright 2010 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

#
# Modified by Colomban Wendling <ban(at)herbesfolles(dot)org> 2010
#

"""
This is a WAF build script (http://code.google.com/p/waf/).
Requires WAF 1.5.7 and Python 2.4 (or later).
"""


import Build
import Options
import Utils
import sys
import os
import tempfile


APPNAME		= 'ctpl'
VERSION		= '0.2.2'
LTVERSION	= '1.0.2' # emulate Libtool version

srcdir = '.'
blddir = '_build_'


HEADERS = [
'src/ctpl.h',
'src/environ.h',
'src/eval.h',
'src/io.h',
'src/input-stream.h',
'src/lexer.h',
'src/lexer-expr.h',
'src/output-stream.h',
'src/parser.h',
'src/token.h',
'src/value.h']

LIBRARY_SOURCES = '''
src/environ.c
src/eval.c
src/io.c
src/input-stream.c
src/lexer.c
src/lexer-expr.c
src/mathutils.c
src/output-stream.c
src/parser.c
src/stack.c
src/token.c
src/value.c'''


CTPL_SOURCES = ['src/ctpl.c']


def configure(conf):

	def conf_define_from_opt(define_name, opt_name, default_value, quote=1):
		if opt_name:
			if isinstance(opt_name, bool):
				opt_name = 1
			conf.define(define_name, opt_name, quote)
		elif default_value:
			conf.define(define_name, default_value, quote)

	conf.check_tool('compiler_cc')
	is_win32 = target_is_win32(conf.env)

	# check for cxx after the header and function checks have been done to ensure they are
	# checked with cc not cxx
	conf.check_tool('misc')

	# GTK / GIO version check
	conf.check_cfg(package='glib-2.0', atleast_version='2.10.0', uselib_store='GLIB',
		mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
	conf.check_cfg(package='gio-unix-2.0', uselib_store='GIO_UNIX', args='--cflags --libs', mandatory=False)

	# Windows specials
	if is_win32:
		if conf.env['PREFIX'] == tempfile.gettempdir():
			# overwrite default prefix on Windows (tempfile.gettempdir() is the Waf default)
			conf.define('PREFIX', os.path.join(conf.srcdir, '%s-%s' % (APPNAME, VERSION)), 1)
		conf.define('DOCDIR', os.path.join(conf.env['PREFIX'], 'doc'), 1)
		conf.define('BINDIR', os.path.join(conf.env['PREFIX'], 'bin'), 1)
		conf.define('LIBDIR', os.path.join(conf.env['PREFIX'], 'lib'), 1)
		# DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
		conf.undefine('DATADIR')
		conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
		# we don't need -fPIC when compiling on or for Windows
		if '-fPIC' in conf.env['shlib_CCFLAGS']:
			conf.env['shlib_CCFLAGS'].remove('-fPIC')
		conf.env.append_value('program_LINKFLAGS', '-mwindows')
	else:
		conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'share')
		conf_define_from_opt('DOCDIR', Options.options.docdir,
			os.path.join(conf.env['DATADIR'], 'doc'))
		conf_define_from_opt('LIBDIR', Options.options.libdir,
			os.path.join(conf.env['PREFIX'], 'lib'))
		conf_define_from_opt('MANDIR', Options.options.mandir,
			os.path.join(conf.env['DATADIR'], 'man'))

	conf.define('CTPL_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], 1)
	conf.define('CTPL_DOCDIR', conf.env['DOCDIR'], 1)
	conf.define('CTPL_LIBDIR', '' if is_win32 else conf.env['LIBDIR'], 1)
	conf.define('CTPL_PREFIX', '' if is_win32 else conf.env['PREFIX'], 1)
	conf.define('PACKAGE', APPNAME, 1)
	conf.define('VERSION', VERSION, 1)

	conf.write_config_header('config.h')

	Utils.pprint('BLUE', 'Summary:')
	print_message(conf, 'Install CTPL ' + VERSION + ' in', conf.env['PREFIX'])

	conf.env.append_value('CCFLAGS', '-DHAVE_CONFIG_H')
	conf.env.append_value('CCFLAGS', '-Wall')
	#~ conf.env.append_value('CCFLAGS', '-Werror')


def set_options(opt):
	opt.tool_options('compiler_cc')

	if 'configure' in sys.argv:
		# Paths
		opt.add_option('--mandir', type='string', default='',
			help='man documentation', dest='mandir')
		opt.add_option('--docdir', type='string', default='',
			help='documentation root', dest='docdir')
		opt.add_option('--libdir', type='string', default='',
			help='object code libraries', dest='libdir')


def build(bld):
	is_win32 = target_is_win32(bld.env)

	# libctpl.so, ctpl.dll
	bld.new_task_gen(
		features				= 'cc cshlib',
		source					= LIBRARY_SOURCES,
		includes				= '. src',
		name					= 'ctpl_lib',
		target					= 'ctpl',
		vnum					= LTVERSION,
		uselib					= 'GLIB GIO',
		export_incdirs			= '.'
	)

	# CTPL
	# ctpl.c doesn't build on Windows currently because of g_unix_output_stream_new()
	if not is_win32:
		bld.new_task_gen(
			features		= 'cc cprogram',
			name			= 'ctpl_utility',
			target			= 'ctpl',
			source			= CTPL_SOURCES,
			includes		= '. src',
			uselib			= 'GTK GIO GIO_UNIX',
			uselib_local	= 'ctpl_lib'
		)

		# ctpl.1
		bld.install_files('${MANDIR}/man1', 'data/ctpl.1')

	# ctpl.pc
	bld.new_task_gen(
		features		= 'subst',
		source			= 'data/ctpl.pc.in',
		target			= 'ctpl.pc',
		dict			= { 'VERSION' : VERSION,
							'prefix': bld.env['PREFIX']},
		install_path	= '${LIBDIR}/pkgconfig'
	)

	###
	# Install files
	###
	# Headers
	bld.install_files('${PREFIX}/include/ctpl', HEADERS)
	# Docs
	base_dir = '${PREFIX}' if is_win32 else '${DOCDIR}/ctpl'
	ext = '.txt' if is_win32 else ''
	html_dir = '' if is_win32 else 'html/'
	for f in ('AUTHORS', 'COPYING', 'ChangeLog', 'README', 'NEWS', 'TODO', 'THANKS'):
		if os.path.exists(f):
			bld.install_as("%s/%s%s" % (base_dir, uc_first(f, is_win32), ext), f)
	html_docsrcdir = 'docs/reference/ctpl/html'
	if not os.path.isdir(html_docsrcdir):
		print("** Documentation not found, it will not be installed.")
	else:
		for f in os.listdir(html_docsrcdir):
			bld.install_files('${DOCDIR}/../gtk-doc/html/ctpl/', os.path.join(html_docsrcdir, f))
		# add a symlink in the docdir
		bld.symlink_as('${DOCDIR}/ctpl/html', '../../gtk-doc/html/ctpl/')


def print_message(conf, msg, result, color = 'GREEN'):
	conf.check_message_1(msg)
	conf.check_message_2(result, color)


def uc_first(s, is_win32):
	if is_win32:
		return s.title()
	return s


def target_is_win32(env):
	if sys.platform == 'win32':
		return True
	if env and 'CC' in env:
		cc = env['CC']
		if not isinstance(cc, str):
			cc = ''.join(cc)
		return cc.find('mingw') != -1
	return False

=== debian/changelog ===
ctpl (0.2.2-0ubuntu1) maverick; urgency=low

  [ Jonathan Michalon ]
  * Initial release (Closes: #579509)

  [ Chow Loong Jin ]
  * debian/libctpl-dev.install: Drop .a file
  * debian/control: Set Maintainer to Ubuntu Developers

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 06 Aug 2010 21:20:43 +0800

=== debian/control ===
Source: ctpl
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Michalon <johndescs@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
               libtool (>= 2.2),
               libglib2.0-dev (>= 2.16),
               libglib2.0-doc (>= 2.16),
               gtk-doc-tools (>= 1.9),
               pkg-config (>= 0.9)
Standards-Version: 3.9.0
Section: libs
Homepage: http://ctpl.tuxfamily.org/

Package: libctpl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev,
         libctpl1 (= ${binary:Version})
Description: A template engine written in C, development files
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the header files and static library which is needed
 for developing CTPL applications

Package: libctpl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A template engine written in C
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.


Package: libctpl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc (>= 2.16)
Description: Documentation files for CTPL
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the documentation for CTPL.

Package: ctpl
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libctpl1 (= ${binary:Version})
Description: Command-line template parsing utility
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains a standalone command-line utility to parse CTPL
 templates.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh  $@

## ctpl 0.3

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.2.2'
-LTVERSION	= '1.0.2' # emulate Libtool version
+VERSION		= '0.3'
+LTVERSION	= '2.0.0' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'
@@ -44,30 +44,31 @@
 
 HEADERS = [
 'src/ctpl.h',
-'src/environ.h',
-'src/eval.h',
-'src/io.h',
-'src/input-stream.h',
-'src/lexer.h',
-'src/lexer-expr.h',
-'src/output-stream.h',
-'src/parser.h',
-'src/token.h',
-'src/value.h']
+'src/ctpl-environ.h',
+'src/ctpl-eval.h',
+'src/ctpl-io.h',
+'src/ctpl-input-stream.h',
+'src/ctpl-lexer.h',
+'src/ctpl-lexer-expr.h',
+'src/ctpl-output-stream.h',
+'src/ctpl-parser.h',
+'src/ctpl-token.h',
+'src/ctpl-value.h',
+'src/ctpl-version.h']
 
 LIBRARY_SOURCES = '''
-src/environ.c
-src/eval.c
-src/io.c
-src/input-stream.c
-src/lexer.c
-src/lexer-expr.c
-src/mathutils.c
-src/output-stream.c
-src/parser.c
-src/stack.c
-src/token.c
-src/value.c'''
+src/ctpl-environ.c
+src/ctpl-eval.c
+src/ctpl-io.c
+src/ctpl-input-stream.c
+src/ctpl-lexer.c
+src/ctpl-lexer-expr.c
+src/ctpl-mathutils.c
+src/ctpl-output-stream.c
+src/ctpl-parser.c
+src/ctpl-stack.c
+src/ctpl-token.c
+src/ctpl-value.c'''
 
 
 CTPL_SOURCES = ['src/ctpl.c']
@@ -94,6 +95,7 @@
 	conf.check_cfg(package='glib-2.0', atleast_version='2.10.0', uselib_store='GLIB',
 		mandatory=True, args='--cflags --libs')
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
+	conf.check_cfg(package='gio-2.0', atleast_version='2.24.0', uselib_store='GIO_2_24', args='--cflags --libs', mandatory=False)
 	conf.check_cfg(package='gio-unix-2.0', uselib_store='GIO_UNIX', args='--cflags --libs', mandatory=False)
 
 	# Windows specials
@@ -132,6 +134,9 @@
 	Utils.pprint('BLUE', 'Summary:')
 	print_message(conf, 'Install CTPL ' + VERSION + ' in', conf.env['PREFIX'])
 
+	# FIXME: this one should not be defined for the ctpl program
+	conf.env.append_value('CCFLAGS', '-DCTPL_COMPILATION')
+
 	conf.env.append_value('CCFLAGS', '-DHAVE_CONFIG_H')
 	conf.env.append_value('CCFLAGS', '-Wall')
 	#~ conf.env.append_value('CCFLAGS', '-Werror')
@@ -174,7 +179,7 @@
 			target			= 'ctpl',
 			source			= CTPL_SOURCES,
 			includes		= '. src',
-			uselib			= 'GTK GIO GIO_UNIX',
+			uselib			= 'GLIB GIO_2_24 GIO_UNIX',
 			uselib_local	= 'ctpl_lib'
 		)

=== debian/changelog ===
ctpl (0.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * Bump up standards to 3.9.1 No other changes

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 31 Oct 2010 19:46:26 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-doc (>= 2.16),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/

## ctpl 0.3.2

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.3'
-LTVERSION	= '2.0.0' # emulate Libtool version
+VERSION		= '0.3.2'
+LTVERSION	= '2.2.0' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'
@@ -68,7 +68,8 @@
 src/ctpl-parser.c
 src/ctpl-stack.c
 src/ctpl-token.c
-src/ctpl-value.c'''
+src/ctpl-value.c
+src/ctpl-version.c'''
 
 
 CTPL_SOURCES = ['src/ctpl.c']

=== debian/changelog ===
ctpl (0.3.2-1) unstable; urgency=low

  [ Jonathan Michalon ]
  * New upstream release
  * Add libctpl-doc suggestion in libctpl-dev
  * Improvments pointed by Chow Loong Jin (thanks!):
    + Reset debian/libctpl2.symbols' minimum versions of symbols appeared
      before last SONAME bump to 0.3
    + Drop all static libraries (*.a) from package 
    + Fix minimal build-dep version of libglib2.0-dev, from 2.16 to 2.24
      because ctpl CLI tool needs gio-2.0 >= 2.24
    + Drop libctpl2 dependency of ctpl tool to let dh_shlibdeps find it

  [ Evgeni Golov ]
  * Add Chow Loong Jin and myself to Uploaders.
  * Install upstream's "NEWS" file as changelog in /u/s/doc/.
  * Set Vcs-* fields for pkg-geany git.
  * Set pkg-geany as maintainer.
  * Slightly impove package descriptions.
  * Install README and TODO in libctpl-doc, don't install NEWS a second time.
  * Update debian/copyright to DEP5.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 17 Mar 2011 14:40:59 +0100

ctpl (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Michalon <johndescs@gmail.com>  Mon, 15 Nov 2010 18:43:42 +0100

ctpl (0.3-1) unstable; urgency=low

  * New upstream release
   + This is an ABI / API break, bump soname to libctpl2:
      - Renamed libctpl1.install to libctpl2.install,
        modified symbols (created libctpl2.symbols from libctpl1.symbols)
      - debian/control: Change package names accordingly.
   + debian/control: bump Standards-Versions to 3.9.1 (no changes needed)

 -- Jonathan Michalon <johndescs@gmail.com>  Sun, 17 Oct 2010 17:19:00 +0200

ctpl (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #579509)

 -- Jonathan Michalon <johndescs@gmail.com>  Wed, 26 May 2010 09:28:16 +0000

=== debian/control ===
Source: ctpl
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Jonathan Michalon <johndescs@gmail.com>, 
 Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
               libtool (>= 2.2),
               libglib2.0-dev (>= 2.24),
               libglib2.0-doc (>= 2.24),
               gtk-doc-tools (>= 1.9),
               pkg-config (>= 0.9)
Standards-Version: 3.9.1
Section: libs
Homepage: http://ctpl.tuxfamily.org/
Vcs-Git: git://git.debian.org/pkg-geany/packages/ctpl.git
Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/ctpl.git;a=summary

Package: libctpl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev,
         libctpl2 (= ${binary:Version})
Suggests: libctpl-doc
Description: template engine written in C, development files
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the header files which are needed for developing
 CTPL applications.

Package: libctpl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: template engine written in C
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.


Package: libctpl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc (>= 2.16)
Description: template engine written in C, documentation files
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains the documentation for CTPL.

Package: ctpl
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libctpl2 (= ${binary:Version})
Description: command-line template parsing utility
 CTPL is a C template engine library allowing fast and easy computation of
 templates with precise control over the parsing environment.
 .
 CTPL supports a wide range of input types through GIO
 like in-memory, files, FTP, HTTP and more.
 .
 This package contains a standalone command-line utility to parse CTPL
 templates.

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 %:
 	dh  $@
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

## ctpl 0.3.3

=== debian/changelog ===
ctpl (0.3.3-0ubuntu1) oneiric; urgency=low

  * [1bd2b7a] New upstream release
  * [1adeb21] Drop all upstreamed patches
  * [c585f77] Update maintainer for ubuntu version
  * [97fd6f6] Patch autofoo to fix linker errors of testsuite
  * [d706798] Add autoreconf

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 11:09:37 +0800

ctpl (0.3.2-2) UNRELEASED; urgency=low

  * [817e9c7] No change Standards-Version bump (3.9.1 → 3.9.2)
  * [2c3bb97] Cherry-pick two crash fixes from upstream

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 08:28:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ctpl
 Priority: optional
-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Jonathan Michalon <johndescs@gmail.com>, 
  Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autotools-dev,
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/
 Vcs-Git: git://git.debian.org/pkg-geany/packages/ctpl.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 
 
 %:
-	dh  $@
+	dh  $@ --with=autoreconf
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh

## ctpl 0.3.3.dfsg

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.3.2'
-LTVERSION	= '2.2.0' # emulate Libtool version
+VERSION		= '0.3.3'
+LTVERSION	= '2.2.1' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'

=== debian/changelog ===
ctpl (0.3.3.dfsg-4) unstable; urgency=low

  * [b339a9e] do not warn about portability issues (Closes: #724154)
  * [9660675] use canonical URLs for Vcs-* fields, thanks lintian

 -- Evgeni Golov <evgeni@debian.org>  Thu, 03 Oct 2013 00:39:55 +0200

ctpl (0.3.3.dfsg-3) unstable; urgency=low

  * [aea1182] Reexport patches through gbp-pq
  * [7dade1b] Add patches to fix FTBFS from automake changes (Closes: #713308)
  * [fb241fb] Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Jun 2013 05:27:23 +0800

ctpl (0.3.3.dfsg-2) unstable; urgency=low

  [ Jonathan Michalon ]
  * [81fb579] Bump debian/compat to 9, depend on a debhelper that supports it
  * [6caf381] Add multiarch support

  [ Chow Loong Jin ]
  * [8a3545f] Use +dfsg instead of .dfsg.
    This fixes the lintian dfsg-version-with-period tag.
  * [c2f794f] Bump Standards-Version to 3.9.3
    - Update debian/copyright Format URL

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 04 May 2012 00:33:49 +0800

ctpl (0.3.3.dfsg-1) unstable; urgency=low

  * [de86980] Update my email address
  * [3ff5691] Implement repacking of tarball to remove waf
  * [c116c34] Imported Upstream version 0.3.3.dfsg (Closes: #654464)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Jan 2012 03:47:23 +0800

ctpl (0.3.3-1) unstable; urgency=low

  * [1bd2b7a] New upstream release
  * [1adeb21] Drop all upstreamed patches
  * [bb3de94] Patch autofoo to fix linker errors of testsuite
  * [3c3b6a0] Add autoreconf

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 11:35:44 +0800

ctpl (0.3.2-2) unstable; urgency=low

  * [817e9c7] No change Standards-Version bump (3.9.1 → 3.9.2)
  * [2c3bb97] Cherry-pick two crash fixes from upstream

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Aug 2011 08:28:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: ctpl
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
-Uploaders: Jonathan Michalon <johndescs@gmail.com>, 
- Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autotools-dev,
+Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Uploaders: Jonathan Michalon <johndescs@gmail.com>,
+ Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/
-Vcs-Git: git://git.debian.org/pkg-geany/packages/ctpl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/ctpl.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/ctpl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/ctpl.git;a=summary
 
 Package: libctpl-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libglib2.0-dev,
          libctpl2 (= ${binary:Version})
@@ -35,6 +35,8 @@
 
 Package: libctpl2
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: template engine written in C
  CTPL is a C template engine library allowing fast and easy computation of

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,16 @@
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
+
+# get-orig-source to drop waf (see: http://bugs.debian.org/654464)
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)([.+]dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	rm $(pkg)-$(dfsg_version)/waf
+	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+dfsg\.\d+$// \
http://download.tuxfamily.org/ctpl/releases/ctpl-(.*)\.tar\.gz

## ctpl 0.3.4+dfsg

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.3.3'
-LTVERSION	= '2.2.1' # emulate Libtool version
+VERSION		= '0.3.4'
+LTVERSION	= '2.2.2' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'
@@ -59,6 +59,7 @@
 LIBRARY_SOURCES = '''
 src/ctpl-environ.c
 src/ctpl-eval.c
+src/ctpl-i18n.c
 src/ctpl-io.c
 src/ctpl-input-stream.c
 src/ctpl-lexer.c
@@ -98,6 +99,7 @@
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
 	conf.check_cfg(package='gio-2.0', atleast_version='2.24.0', uselib_store='GIO_2_24', args='--cflags --libs', mandatory=False)
 	conf.check_cfg(package='gio-unix-2.0', uselib_store='GIO_UNIX', args='--cflags --libs', mandatory=False)
+	conf.check_cfg(package='gio-windows-2.0', uselib_store='GIO_WINDOWS', args='--cflags --libs', mandatory=False)
 
 	# Windows specials
 	if is_win32:
@@ -129,6 +131,8 @@
 	conf.define('CTPL_PREFIX', '' if is_win32 else conf.env['PREFIX'], 1)
 	conf.define('PACKAGE', APPNAME, 1)
 	conf.define('VERSION', VERSION, 1)
+	conf.define('GETTEXT_PACKAGE', VERSION, 1)
+	conf.define('LOCALEDIR', os.path.join(conf.env['DATADIR'], 'locale'), 1)
 
 	conf.write_config_header('config.h')
 
@@ -173,19 +177,18 @@
 
 	# CTPL
 	# ctpl.c doesn't build on Windows currently because of g_unix_output_stream_new()
-	if not is_win32:
-		bld.new_task_gen(
-			features		= 'cc cprogram',
-			name			= 'ctpl_utility',
-			target			= 'ctpl',
-			source			= CTPL_SOURCES,
-			includes		= '. src',
-			uselib			= 'GLIB GIO_2_24 GIO_UNIX',
-			uselib_local	= 'ctpl_lib'
-		)
-
-		# ctpl.1
-		bld.install_files('${MANDIR}/man1', 'data/ctpl.1')
+	bld.new_task_gen(
+		features		= 'cc cprogram',
+		name			= 'ctpl_utility',
+		target			= 'ctpl',
+		source			= CTPL_SOURCES,
+		includes		= '. src',
+		uselib			= 'GLIB GIO_2_24 ' + ['GIO_UNIX','GIO_WINDOWS'][is_win32],
+		uselib_local	= 'ctpl_lib'
+	)
+
+	# ctpl.1
+	bld.install_files('${MANDIR}/man1', 'data/ctpl.1')
 
 	# ctpl.pc
 	bld.new_task_gen(

=== debian/changelog ===
ctpl (0.3.4+dfsg-4) unstable; urgency=medium

  * Reupload as source-only package to unblock migration to testing

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 Sep 2022 15:56:13 +0800

ctpl (0.3.4+dfsg-3) unstable; urgency=medium

  * [d6f000a] Fix dversionmangle in watch file

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 09 Jul 2022 23:18:46 +0800

ctpl (0.3.4+dfsg-2) unstable; urgency=medium

  * [113039f] Update Vcs-* fields to point to salsa
  * [ea1ffa6] Bump Standards-Version to 4.6.0
  * [f93ec55] List *.a and *.la in debian/not-installed
  * [9949407] Add libctpl-data package to ship translation files
  * [b0ed98a] Drop redundant autotools-dev and dh-autoreconf build-dep
  * [f6ad0af] Override doc-base-file-referencese-wrong-path about gtk-doc path
  * [9962177] Ignore source-is-missing for one of the doc files
  * [6420d56] Patch to fix FTBFS due to tempfile command usage (Closes: #997514)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 09 Jul 2022 14:57:38 +0800

ctpl (0.3.4+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:01:44 +0100

ctpl (0.3.4+dfsg-1) unstable; urgency=medium

  * [c18a25d] Imported Upstream version 0.3.4
  * [63a3359] Refresh patches
  * [e91f2d2] Update symbols file
  * [b4c48cc] Pass -c4 to dpkg-gensymbols
  * [b28c114] Port get-orig-source to d/copyright files-excluded
  * [1adb787] Add pgp options to watch
  * [550f76a] Bump Standards-Version to 3.9.8

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Dec 2016 06:02:27 +0800

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Jonathan Michalon <johndescs@gmail.com>,
  Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev,
+Build-Depends: debhelper-compat (= 13),
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
                pkg-config (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 4.6.0
 Section: libs
 Homepage: http://ctpl.tuxfamily.org/
-Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/ctpl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/ctpl.git;a=summary
+Vcs-Browser: https://salsa.debian.org/geany-team/ctpl
+Vcs-Git: https://salsa.debian.org/geany-team/ctpl.git
 
 Package: libctpl-dev
 Section: libdevel
@@ -37,6 +37,18 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libctpl-data (>= ${source:Version})
+Description: template engine written in C
+ CTPL is a C template engine library allowing fast and easy computation of
+ templates with precise control over the parsing environment.
+ .
+ CTPL supports a wide range of input types through GIO
+ like in-memory, files, FTP, HTTP and more.
+
+Package: libctpl-data
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: template engine written in C
  CTPL is a C template engine library allowing fast and easy computation of
@@ -44,7 +56,8 @@
  .
  CTPL supports a wide range of input types through GIO
  like in-memory, files, FTP, HTTP and more.
-
+ .
+ This package contains data files for CTPL.
 
 Package: libctpl-doc
 Section: doc
@@ -74,4 +87,3 @@
  .
  This package contains a standalone command-line utility to parse CTPL
  templates.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh  $@ --with=autoreconf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## ctpl 0.3.5%2Bdfsg

=== wscript ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 
 APPNAME		= 'ctpl'
-VERSION		= '0.3.4'
-LTVERSION	= '2.2.2' # emulate Libtool version
+VERSION		= '0.3.5'
+LTVERSION	= '2.3.0' # emulate Libtool version
 
 srcdir = '.'
 blddir = '_build_'

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Jonathan Michalon <johndescs@gmail.com>,
  Evgeni Golov <evgeni@debian.org>, Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libtool (>= 2.2),
                libglib2.0-dev (>= 2.24),
                libglib2.0-doc (>= 2.24),
                gtk-doc-tools (>= 1.9),
-               pkg-config (>= 0.9)
+               pkgconf (>= 0.9)
 Standards-Version: 4.6.0
 Section: libs
-Homepage: http://ctpl.tuxfamily.org/
+Homepage: https://ctpl.tuxfamily.org/
 Vcs-Browser: https://salsa.debian.org/geany-team/ctpl
 Vcs-Git: https://salsa.debian.org/geany-team/ctpl.git
 
@@ -21,7 +21,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libglib2.0-dev,
-         libctpl2 (= ${binary:Version})
+         libctpl2t64 (= ${binary:Version})
 Suggests: libctpl-doc
 Description: template engine written in C, development files
  CTPL is a C template engine library allowing fast and easy computation of
@@ -33,7 +33,10 @@
  This package contains the header files which are needed for developing
  CTPL applications.
 
-Package: libctpl2
+Package: libctpl2t64
+Provides: ${t64:Provides}
+Replaces: libctpl2
+Breaks: libctpl2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Pre-Depends}
@@ -77,7 +80,7 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libctpl2 (= ${binary:Version})
+         libctpl2t64 (= ${binary:Version})
 Description: command-line template parsing utility
  CTPL is a C template engine library allowing fast and easy computation of
  templates with precise control over the parsing environment.

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/b4n/ctpl/releases
Matching-Pattern: https://github.com/b4n/ctpl/releases/download/v[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Repacksuffix: +dfsg
Dversion-Mangle: auto
Pgp-Mode: default
Pgp-Sig-Url-Mangle: s/$/.sig/
Search-Mode: plain

## ctpl 0.3.5+dfsg

=== debian/changelog ===
ctpl (0.3.5+dfsg-2) unstable; urgency=medium

  * Acknowledge NMU (0.3.4+dfsg-4.1)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 12 Nov 2024 14:28:20 +0800

ctpl (0.3.5+dfsg-1) UNRELEASED; urgency=medium

  * [dbf332f] Update upstream gpg key
  * [e2f5a97] New upstream version 0.3.5+dfsg
  * [ac85500] Drop upstreamed patches and refresh remaining
  * [d6966c5] Update symbols file
    ctpl_value_take_string was added in 0.3.5, and ctpl_gettext is an internal
    symmbol which shouldn't have been exported in the first place.
  * [a332193] Update pkg-config build-dep to pkgconf
  * [aeff0d4] Enable gtk-doc building
  * [bd858be] Add more source-is-missing overrides for gtk-doc files

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 07 Aug 2024 11:27:05 +0800

ctpl (0.3.4+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061913

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:13:05 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                pkgconf (>= 0.9)
 Standards-Version: 4.6.0
 Section: libs
-Homepage: https://ctpl.tuxfamily.org/
+Homepage: http://ctpl.tuxfamily.org/
 Vcs-Browser: https://salsa.debian.org/geany-team/ctpl
 Vcs-Git: https://salsa.debian.org/geany-team/ctpl.git

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,8 @@
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gtk-doc
+
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
